# norootforbuild

%define realname qtDbf

Name:		qtdbf
Version:	0.9.2
Release:	3.2
License:	GPL
Group:		Productivity/Databases/Clients
Summary:	DBF viewer and editor
Vendor:		Hevele Hegyi Istvan <hevele@juniorcom.ro>
Source0:	%{realname}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch:		%{name}.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++ pkgconfig(QtGui)
%if 0%{?suse_version}
BuildRequires:	update-desktop-files
%endif  
Prefix:		/usr

%description
A simple DBF viewer and editor.
Can be set as default dbf viewer.
Supports XBase, dDbase III, IV, FoxPro 2.x files with memos.
Memo content can be viewed but can't be edited yet.

%prep
%setup -q -n %{realname}-%{version}
#%patch -p 0

%build
`pkg-config --variable=exec_prefix QtCore`/bin/qmake
%{__make}

%install
%{makeinstall} INSTALL_ROOT=%{buildroot}
%__install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
%__install -D -m 644 images/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
rm -rf %{buildroot}/%{_datadir}/doc
%if 0%{?suse_version}  
	%suse_update_desktop_file -r %{name} Office Database
%endif 

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc help/*
%{_bindir}/%{realname}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{realname}

%changelog
* Fri Mar 08 2013 Shawn W Dunn <sfalken@fuduntu.org> - Version:0.9.2-Release:3.2
- Built for Fuduntu

* Mon Feb 25 2013 %packager Shawn W Dunn <sfalken@gmail.com> - Version:0.9.2-Release:3.2
- Built for Fuduntu

* Sun Feb 06 2011 - Petr Vanek <petr@scribus.info> - 0.9.2
- suse fixes

* Sat Jan 08 2011 - TI_Eugene <ti.eugene@gmail.com> - 0.9.2
- Next version

* Thu Jul 29 2009 - TI_Eugene <ti.eugene@gmail.com>
- Initial build for OBS
